Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1510329 - [RFE] API for SNMP configuration missing
Summary: [RFE] API for SNMP configuration missing
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-api
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Nishanth Thomas
QA Contact: Martin Kudlej
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-07 08:50 UTC by Martin Kudlej
Modified: 2018-12-06 10:24 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-06 10:24:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1514035 None None None Never
Github Tendrl api issues 328 None None None 2017-11-08 13:27:34 UTC

Internal Links: 1514035

Description Martin Kudlej 2017-11-07 08:50:27 UTC
Description of problem:
There should be SNMP configuration in UI and related API functions for configuration. This is missing right now. Please look at uptream issue for details. https://github.com/Tendrl/api/issues/328

Version-Release number of selected component (if applicable):
etcd-3.2.7-1.el7.x86_64
glusterfs-3.8.4-18.4.el7.x86_64
glusterfs-3.8.4-50.el7rhgs.x86_64
glusterfs-api-3.8.4-50.el7rhgs.x86_64
glusterfs-cli-3.8.4-50.el7rhgs.x86_64
glusterfs-client-xlators-3.8.4-18.4.el7.x86_64
glusterfs-client-xlators-3.8.4-50.el7rhgs.x86_64
glusterfs-events-3.8.4-50.el7rhgs.x86_64
glusterfs-fuse-3.8.4-18.4.el7.x86_64
glusterfs-fuse-3.8.4-50.el7rhgs.x86_64
glusterfs-geo-replication-3.8.4-50.el7rhgs.x86_64
glusterfs-libs-3.8.4-18.4.el7.x86_64
glusterfs-libs-3.8.4-50.el7rhgs.x86_64
glusterfs-server-3.8.4-50.el7rhgs.x86_64
python-etcd-0.4.5-1.noarch
rubygem-etcd-0.3.0-1.el7.noarch
tendrl-ansible-1.5.3-2.el7rhgs.noarch
tendrl-api-1.5.3-2.el7rhgs.noarch
tendrl-api-httpd-1.5.3-2.el7rhgs.noarch
tendrl-commons-1.5.3-1.el7rhgs.noarch
tendrl-gluster-integration-1.5.3-2.el7rhgs.noarch
tendrl-grafana-plugins-1.5.3-2.el7rhgs.noarch
tendrl-grafana-selinux-1.5.3-2.el7rhgs.noarch
tendrl-monitoring-integration-1.5.3-2.el7rhgs.noarch
tendrl-node-agent-1.5.3-3.el7rhgs.noarch
tendrl-notifier-1.5.3-1.el7rhgs.noarch
tendrl-selinux-1.5.3-2.el7rhgs.noarch
tendrl-ui-1.5.3-2.el7rhgs.noarch

How reproducible:
100%

Comment 1 Nishanth Thomas 2017-11-07 08:53:54 UTC
This is an enhancement, take up later in a future release

Comment 2 Petr Penicka 2017-11-08 14:45:10 UTC
Triage Nov 8: QExDev dispute, up for PM decision.

Comment 3 RHEL Product and Program Management 2017-11-08 21:02:29 UTC
Product Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Comment 4 Ric Wheeler 2017-11-09 16:54:33 UTC
Without this, do we have SNMP support?

Comment 8 Shubhendu Tripathi 2018-11-20 12:48:13 UTC
Changed the description to mark as RFE.

Comment 9 Nishanth Thomas 2018-12-06 10:24:19 UTC
Not planing to address this in near future. Closing the issue.


Note You need to log in before you can comment on or make changes to this bug.